<?php
include_once("../../embedded/functions/site_functions.php");
$device_id=$_SESSION['device_id'];
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="Υπάρχει σενάριο προγραμματισμένο για την ώρα αυτή!";
	$head2=" ενεργοποιήθηκε!";
	$head3=" απενεργοποιήθηκε!";
	$head4="Σενάριο:";
	$head5="Πιέστε για απενεργοποίηση";
	$head6="Πατήστε για ενεργοποίηση";
	$head7=" τώρα";
	$head8="Θερμοκρασία";
	$from=" Από:";
	$to=" Έως:";
	$head9="Υγρασία";
	$head10="Υγρασία εδάφους";
	$head11="Φωτισμός";
	$fan="Aέρας";
	$water="Νερό";
	$light="Φως";
	$head12="Δεν υπάρχει προγραμματισμένο σενάριο!";
	$head13="Προγραμματισμός:";
	$head14="Προγραμματισμένα σενάρια";
	}
else
	{
	$head1="Another scenario is programmed to be activated!";
	$head2=" activated!";
	$head3=" de-activated!";
	$head4="Scenario:";
	$head5="Click to de-activate";
	$head6="Click to activate";
	$head7=" now";
	$head8="Temperature";
	$from=" From:";
	$to=" To:";
	$head9="Humidity";
	$head10="Soil moisture";
	$head11="Indoor Lighting";
	$fan="Fan";
	$water="Water";
	$light="Light";
	$head12="no scenario soon!";
	$head13="Automation:";
	$head14="Scheduled scenarios";
	}
if ((isset($_GET['a']) && !empty($_GET['a'])) && (isset($_GET['s']) && !empty($_GET['s'])) &&  (isset($_GET['x'])) && is_numeric($_GET['x']) && is_numeric($_GET['a']) && is_numeric($_GET['s']))
{
db_open();
$a=$_GET['a'];
$s=$_GET['s'];
$x=$_GET['x'];
$msg="";
$msg2="";
$date=date("Y-m-d");
$now=date("H:i:s");

if ($a!=1 && $s!=1)
	{
	if ($s!=2)
		{
		$s=1;
		$st="$head2";
		$sql="SELECT * FROM schedule_scenarios WHERE schedule_id='$a'";
		$arrr=mysql_fetch_array(mysql_query($sql));
		$start_time=$arrr['start_time'];
		$end_time=$arrr['end_time'];
		$sql1 = "SELECT * FROM schedule_scenarios WHERE device_id='$device_id' AND status='1' AND day='$date' AND ((start_time<='$start_time' AND end_time>='$start_time') OR (end_time<='$end_time' AND start_time>='$start_time') OR (end_time>='$end_time' AND start_time>='$start_time' AND start_time<='$end_time')) AND end_time>='$now'";
		@ $resulto=mysql_numrows(mysql_query($sql1));
		if($resulto!=0)
			{
			$msg2="$head1";
			}
		
		}
	else
		{
		$s=0;
		$st="$head3";
		}
	if ($msg2=="")
		{
		$sql4="UPDATE schedule_scenarios SET status='$s' WHERE schedule_id='$a'";
		@ $resulta=mysql_query($sql4);
		if ($resulta==1)
			{
			$msg2="$head4".$st;
			}
		}	
	}
$start_time=date("H:i:s");
$end_time="23:59:00";	
	$sql1 = "SELECT * FROM schedule_scenarios WHERE device_id='$device_id' AND (status='1' OR status='0') AND day='$date' AND ((start_time<='$start_time' AND end_time>='$start_time') OR (end_time<='$end_time' AND start_time>='$start_time') OR (end_time>='$end_time' AND start_time>='$start_time' AND start_time<='$end_time'))order by status DESC,start_time ASC LIMIT 3";
	@ $result=mysql_query($sql1);
	$b=1;
	$javascript="";
	if ($result!=0)
		{
		while($row=mysql_fetch_array($result))
			{
			$msg1="";
			$id=$row['scenario_id'];
			$s_id=$row['schedule_id'];
			if ($row['status']==1)
				{
				$class="day_active";
				$title="$head5";
				$s=2;
				}
			else
				{
				$class="day_deactivated";
				$title="$head6";
				$s=3;
				}
			if(strtotime($row['start_time'])<time() && $row['status']==1)
				{
				$row['start_time']="$head7";
				}
			$active='<span class="d_important"><i>'.$row['start_time'].'-'.$row['end_time'].'</i></span>';
			$sql1="SELECT scenario_name FROM scenarios WHERE scenario_id='$id' AND device_id='$device_id'";
			@ $result1=mysql_query($sql1);
			if($result1!=0)
				{
				$ro=mysql_fetch_array($result1);
				$name=$ro['scenario_name'];
				$a=scenario_data($name,$device_id,$table='scenarios');
				$prior=array();
				$arr=array();
				$i=0;
				if ($a[3]!=0)
				{
				$prior[$i][0]=$a[4];
				$prior[$i][1]=$a[5];
				$prior[$i][2]=$a[6];
				$prior[$i][3]=return_rule($a[7],1);
				$prior[$i][4]="$head8:";
				$d="C";
				$prior[$i][5]=' <b>'.$prior[$i][4].'</b>'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b> '.$prior[$i][3].'';
				$i++;
				}
			if ($a[8]!=0)
				{
				$prior[$i][0]=$a[9];
				$prior[$i][1]=$a[10];
				$prior[$i][2]=$a[11];
				$prior[$i][3]=return_rule($a[12],1);
				$d="%";
				$prior[$i][4]="$head9:";
				$prior[$i][5]=' <b>'.$prior[$i][4].'</b>'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b> '.$prior[$i][3].'';
				$i++;
				}
			if ($a[13]!=0)
				{
				$prior[$i][0]=$a[14];
				$prior[$i][1]=return_rule($a[15],2);
				$prior[$i][2]=0;
				$prior[$i][3]=return_rule($a[16],1);
				$prior[$i][4]="$head10:";
				$d="";
				$prior[$i][5]=' <b>'.$prior[$i][4].$prior[$i][1].$d.'</b> '.$prior[$i][3].'';
				$i++;
				}
			if ($a[17]!=0)
				{
				$prior[$i][0]=$a[18];
				$prior[$i][1]=$a[19];
				$prior[$i][2]=$a[20];
				$prior[$i][3]=return_rule($a[21],1);
				$prior[$i][4]="$head11:";
				$d="";
				$prior[$i][5]=' <b>'.$prior[$i][4].'</b>'.$from.'<b>'.$prior[$i][1].$d.'</b>'.$to.'<b>'.$prior[$i][2].$d.'</b> '.$prior[$i][3].' ';
				$i++;
				}
			if ($a[17]==0 && $a[13]==0 && $a[8]==0 && $a[3]==0)
				{
				$prior[$i][0]="0";
				$prior[$i][1]="0";
				$prior[$i][2]="0";
				$prior[$i][3]="0";
				$prior[$i][4]="0";
				$prior[$i][5]="0";
				}
			if ($i!=0)
				{
				for($d=0;$d<=$i-1;$d++)
					{
					$arr[$d]=$prior[$d][0];
					}
				array_multisort($arr,$prior);
				for($w=0;$w<=$i-1;$w++)
					{
					$msg1=$msg1.$prior[$w][5];
					}
				
				}		
			$F=$a[22];
			if ($F==1)
				{
				$F='On';
				}
			else
				{
				$F='Off';
				}
			$V=$a[24];
			if ($V==1)
				{
				$V='On';
				}
			else
				{
				$V='Off';
				}
			$L=$a[23];
			if ($L==1)
				{
				$L='On';
				}
			else
				{
				$L='Off';
				}
				}
			
			if ($x==0)
			{
			$expp='onmouseover="popup(11'.$b.');" onmouseout="popup(22);"';
			}
		else
			{
			$expp="";
			}
			$titlee=$msg1.$fan.':'.$F.' '.$water.':'.$V.' '.$light.':'.$L;
			$msg=$msg.$b.')<span class="program_active '.$class.'" onclick="program('.$s_id.','.$s.','.$x.');" title="'.$title.'" '.$expp.'>'.$name.'</span>'.$active;	
			$javascript=$javascript.'<span id="program_title'.$b.'" class="vision p_important">'.$titlee.'</span>';
			$b++;
			}
		}
	
	
if($msg=="")
	{
	$msg="$head12";
	$javascript="";
	}
echo<<<a
<span class="programm_title" title="$head14" >$head13</span>$msg<br />
<a id="program_title" class="programm_e">$msg2<br />$javascript</a>
a;
db_close();
}
?>